Challenges
List authentication challenge methods
List valid authentication challenge methods available for a user. Parameters are mutually exclusive.
GET
List authentication challenge methods
Query Parameters
The phone number of a user to trigger a one-time passcode validation for. A phone number.
Required string length:
6 - 32Pattern:
^\+?[0-9]{1,3}?[ .-]?\(?[0-9]{1,4}?\)?[ .-]?[0-9]{1,4}?[ .-]?[0-9]{1,4}?[ .-]?[0-9]{1,9}$The email address of a user to trigger a one-time passcode validation for. An email address.
Required string length:
6 - 100Previous
Create an authentication challengeIssue an authentication challenge for a user.
The response type depends on the authentication method:
- **OTP**: Returns a Challenge with ID and expiration. The one-time passcode is sent to the user's email or phone.
- **Passkey**: Returns PasskeyAuthenticationOptions with WebAuthn challenge for authentication.
For OTP, either phoneNumber or emailAddress is required.
For passkey, phoneNumber or emailAddress is optional (enables usernameless flow when omitted).
Challenges may only be issued on a fixed time interval.
Next
List authentication challenge methods